import HermesEmployeeSettingsPanel from '../HermesEmployeeSettingsPanel.vue'
import LlmSettingsPanel from '../LlmSettingsPanel.vue'
import MailSettingsPanel from '../MailSettingsPanel.vue'
import EnterpriseSelect from '../../components/shared/EnterpriseSelect.vue'
import { useSettings } from '../../composables/useSettings.js'

export default {
  name: 'SettingsView',
  components: {
    HermesEmployeeSettingsPanel,
    EnterpriseSelect,
    LlmSettingsPanel,
    MailSettingsPanel
  },
  setup() {
    const settings = useSettings()

    return {
      ...settings
    }
  }
}
